Edit app
curl --request PATCH \
--url https://managexrapi.com/v1/apps/{packageName} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "My Awesome App",
"description": "A fantastic app for managing XR content",
"categories": [
"Education",
"Productivity"
],
"iconUrl": "https://storage.example.com/apps/com.example.app/icon.png"
}
'import requests
url = "https://managexrapi.com/v1/apps/{packageName}"
payload = {
"title": "My Awesome App",
"description": "A fantastic app for managing XR content",
"categories": ["Education", "Productivity"],
"iconUrl": "https://storage.example.com/apps/com.example.app/icon.png"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'My Awesome App',
description: 'A fantastic app for managing XR content',
categories: ['Education', 'Productivity'],
iconUrl: 'https://storage.example.com/apps/com.example.app/icon.png'
})
};
fetch('https://managexrapi.com/v1/apps/{packageName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"packageName": "com.example.app",
"title": "My Awesome App",
"description": "A fantastic app for managing XR content",
"categories": [
"Education",
"Productivity"
],
"iconUrl": "https://storage.example.com/apps/com.example.app/icon.png",
"numVersions": 5
}
}{
"statusCode": 400,
"message": "Invalid app type: external",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "App with package name com.example.app not found",
"error": "ManageXR Error"
}Apps
Edit App
Update an app’s metadata such as title, description, categories, and icon URL
PATCH
/
v1
/
apps
/
{packageName}
Edit app
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
Query Parameters
Type of the app version to update
Available options:
managed, shared, instant Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
Title of the app
Example:
"My Awesome App"
Description of the app
Example:
"A fantastic app for managing XR content"
Home screen categories the app belongs to
Example:
["Education", "Productivity"]
URL of the app's icon
Example:
"https://storage.example.com/apps/com.example.app/icon.png"
Response
The updated app profile
Show child attributes
Show child attributes
⌘I